Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
ImageAsset::FrameArea Class Reference

Frame area. More...

`#include <ImageAsset.h>`

## Classes
class | PixelArea
| Frame Pixel Area. More...
class | TexelArea
| Frame Texel Area. More...

## Public Member Functions
| FrameArea (const S32 pixelFrameOffsetX, const S32 pixelFrameOffsetY, const U32 pixelFrameWidth, const U32 pixelFrameHeight, const F32 texelWidthScale, const F32 texelHeightScale)
| FrameArea (const S32 pixelFrameOffsetX, const S32 pixelFrameOffsetY, const U32 pixelFrameWidth, const U32 pixelFrameHeight, const F32 texelWidthScale, const F32 texelHeightScale, const char *regionName)
| FrameArea ()
void | setArea (const S32 pixelFrameOffsetX, const S32 pixelFrameOffsetY, const U32 pixelFrameWidth, const U32 pixelFrameHeight, const F32 texelWidthScale, const F32 texelHeightScale)
void | setArea (const S32 pixelFrameOffsetX, const S32 pixelFrameOffsetY, const U32 pixelFrameWidth, const U32 pixelFrameHeight, const F32 texelWidthScale, const F32 texelHeightScale, const char *regionName)

## Public Attributes
PixelArea | mPixelArea
TexelArea | mTexelArea

## Detailed Description

Frame area.

## Constructor & Destructor Documentation

FrameArea | ( | const S32 | pixelFrameOffsetX,
|  | const S32 | pixelFrameOffsetY,
|  | const U32 | pixelFrameWidth,
|  | const U32 | pixelFrameHeight,
|  | const F32 | texelWidthScale,
|  | const F32 | texelHeightScale
| ) |  |
| inline

FrameArea | ( | const S32 | pixelFrameOffsetX,
|  | const S32 | pixelFrameOffsetY,
|  | const U32 | pixelFrameWidth,
|  | const U32 | pixelFrameHeight,
|  | const F32 | texelWidthScale,
|  | const F32 | texelHeightScale,
|  | const char * | regionName
| ) |  |
| inline

FrameArea | ( |  | ) |
| inline

## Member Function Documentation

void setArea | ( | const S32 | pixelFrameOffsetX,
|  | const S32 | pixelFrameOffsetY,
|  | const U32 | pixelFrameWidth,
|  | const U32 | pixelFrameHeight,
|  | const F32 | texelWidthScale,
|  | const F32 | texelHeightScale
| ) |  |
| inline

void setArea | ( | const S32 | pixelFrameOffsetX,
|  | const S32 | pixelFrameOffsetY,
|  | const U32 | pixelFrameWidth,
|  | const U32 | pixelFrameHeight,
|  | const F32 | texelWidthScale,
|  | const F32 | texelHeightScale,
|  | const char * | regionName
| ) |  |
| inline

## Member Data Documentation

PixelArea mPixelArea

TexelArea mTexelArea

The documentation for this class was generated from the following file:

- 2d/assets/ImageAsset.h